# Generated by Django 5.0.2 on 2024-09-21 21:48

import django.db.models.deletion
import django.db.models.manager
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='CmsLegalDoc',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_at', models.DateField(auto_now_add=True)),
                ('updated_at', models.DateField(auto_now=True)),
                ('code', models.CharField(blank=True, default='', max_length=50)),
                ('valid_from', models.DateField(blank=True, null=True)),
                ('valid_until', models.DateField(blank=True, null=True)),
            ],
            options={
                'verbose_name': 'label_cms_legal_doc',
                'verbose_name_plural': 'label_cms_legal_docs',
                'db_table': 'cms_legal_docs',
            },
            managers=[
                ('repository', django.db.models.manager.Manager()),
            ],
        ),
        migrations.CreateModel(
            name='CmsLegalDocCatalan',
            fields=[
                ('created_at', models.DateField(auto_now_add=True)),
                ('updated_at', models.DateField(auto_now=True)),
                ('parent', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, primary_key=True, related_name='catalan', serialize=False, to='cms_legal_docs.cmslegaldoc')),
                ('title', models.CharField(blank=True, default='', max_length=80)),
                ('copyright_notice', models.CharField(blank=True, default='', max_length=512)),
                ('html_content', models.TextField(blank=True, default='')),
            ],
            options={
                'verbose_name': 'label_in_catalan_cms_legal_doc',
                'verbose_name_plural': 'label_in_catalan_cms_legal_docs',
                'db_table': 'cms_legal_docs_ca',
            },
        ),
        migrations.CreateModel(
            name='CmsLegalDocEnglish',
            fields=[
                ('created_at', models.DateField(auto_now_add=True)),
                ('updated_at', models.DateField(auto_now=True)),
                ('parent', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, primary_key=True, related_name='english', serialize=False, to='cms_legal_docs.cmslegaldoc')),
                ('title', models.CharField(blank=True, default='', max_length=80)),
                ('copyright_notice', models.CharField(blank=True, default='', max_length=512)),
                ('html_content', models.TextField(blank=True, default='')),
            ],
            options={
                'verbose_name': 'label_in_english_cms_legal_doc',
                'verbose_name_plural': 'label_in_english_cms_legal_docs',
                'db_table': 'cms_legal_docs_en',
            },
        ),
        migrations.CreateModel(
            name='CmsLegalDocFrench',
            fields=[
                ('created_at', models.DateField(auto_now_add=True)),
                ('updated_at', models.DateField(auto_now=True)),
                ('parent', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, primary_key=True, related_name='french', serialize=False, to='cms_legal_docs.cmslegaldoc')),
                ('title', models.CharField(blank=True, default='', max_length=80)),
                ('copyright_notice', models.CharField(blank=True, default='', max_length=512)),
                ('html_content', models.TextField(blank=True, default='')),
            ],
            options={
                'verbose_name': 'label_in_french_cms_legal_doc',
                'verbose_name_plural': 'label_in_french_cms_legal_docs',
                'db_table': 'cms_legal_docs_fr',
            },
        ),
        migrations.CreateModel(
            name='CmsLegalDocItalian',
            fields=[
                ('created_at', models.DateField(auto_now_add=True)),
                ('updated_at', models.DateField(auto_now=True)),
                ('parent', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, primary_key=True, related_name='italian', serialize=False, to='cms_legal_docs.cmslegaldoc')),
                ('title', models.CharField(blank=True, default='', max_length=80)),
                ('copyright_notice', models.CharField(blank=True, default='', max_length=512)),
                ('html_content', models.TextField(blank=True, default='')),
            ],
            options={
                'verbose_name': 'label_in_italian_cms_legal_doc',
                'verbose_name_plural': 'label_in_italian_cms_legal_docs',
                'db_table': 'cms_legal_docs_it',
            },
        ),
        migrations.CreateModel(
            name='CmsLegalDocPortuguese',
            fields=[
                ('created_at', models.DateField(auto_now_add=True)),
                ('updated_at', models.DateField(auto_now=True)),
                ('parent', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, primary_key=True, related_name='portuguese', serialize=False, to='cms_legal_docs.cmslegaldoc')),
                ('title', models.CharField(blank=True, default='', max_length=80)),
                ('copyright_notice', models.CharField(blank=True, default='', max_length=512)),
                ('html_content', models.TextField(blank=True, default='')),
            ],
            options={
                'verbose_name': 'label_in_portuguese_cms_legal_doc',
                'verbose_name_plural': 'label_in_portuguese_cms_legal_docs',
                'db_table': 'cms_legal_docs_pt',
            },
        ),
        migrations.CreateModel(
            name='CmsLegalDocSpanish',
            fields=[
                ('created_at', models.DateField(auto_now_add=True)),
                ('updated_at', models.DateField(auto_now=True)),
                ('parent', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, primary_key=True, related_name='spanish', serialize=False, to='cms_legal_docs.cmslegaldoc')),
                ('title', models.CharField(blank=True, default='', max_length=80)),
                ('copyright_notice', models.CharField(blank=True, default='', max_length=512)),
                ('html_content', models.TextField(blank=True, default='')),
            ],
            options={
                'verbose_name': 'label_in_spanish_cms_legal_doc',
                'verbose_name_plural': 'label_in_spanish_cms_legal_docs',
                'db_table': 'cms_legal_docs_es',
            },
        ),
    ]
